<%
'Photo Catalog Application by Ning Zhou
'Use and Customize Freely as You Wish
'Please Link to www.ningzhou.com
'Enjoy!
%>
<%
'***********General Config**************************
dim strListPath, dbPath, strThumbFolder, strThumbPrefix, bUseASPJpeg, intNewPhotoDays

strListPath = "/photos/"  'Path to the base directory where the photos are stored

dbPath="photos.mdb" 'Path and name to the database to store the catalog info

strThumbFolder = "Thumbs"  'Folder that contains to the thumbnails inside the individual photo folders
strThumbPrefix = "thumb_"  'Prefix to give the thumbnails if using ASPJpeg

bUseASPJpeg = False  'True to use ASPJpeg to create thumbnails.  If you do not have ASPJpeg, you must
					 'set to False and manually place the thumbnails files in the specified thumbnail folder

intNewPhotoDays=14
'***********General Config**************************

'***********ASPJpeg Photos Config***************************
'Must have ASPJpeg installed on server.  The application will automatically create the thumbnails when
'you catalog
dim intThumbWidth, intThumbHeight
intThumbWidth = 100  'With of thumbnail
intThumbHeight = 75	 'Height of thumbnail

'***********ASPJpeg Photos Config***************************

'***********List Photos Config***************************
'List view properties.
dim intNumPerPage, strPhotoListName
intNumPerPage =25  'Number of files to list per page
strPhotoListName = "List_Photos.asp"	'Name of the list view file

'***********List Photos Config***************************

'***********Thumb Photos Config***************************
'Thumbnail view properties
dim intColPerPage, intRowPerPage, strPhotoPageName, bIncludeCategoryDrop
intColPerPage = 5  'Columns of thumbnails per page
intRowPerPage = 4  'Rows of thumbnails per page
strPhotoPageName = "Thumb_Photos.asp" 'Name of the thumbnail view file
bIncludeCategoryDrop = false 


'***********Thumb Photos Config***************************

'***********View Photo Config*****************************
dim strViewPhotoPage
strViewPhotoPage="View_Photo.asp"
'***********View Photo Config*****************************

Public Function TruncateString(theString, maxLen)
	If Len(theString)>maxLen Then
		TruncateString = Left(theString, maxLen-4) & ".." & Right(theString, 2)
	Else 
		TruncateString = theString
	End If
End Function
%>